This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 671884

Summary: Review Request: erlang-cluster_info - Cluster info/postmortem inspector for Erlang applications
Product: [Fedora] Fedora Reporter: Peter Lemenkov <lemenkov>
Component: Package ReviewAssignee: Tim Niemueller <tim>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, tim, tomspur
Target Milestone: ---Flags: tim: fedora‑review+
tibbs: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: erlang-cluster_info-0.1.0-0.3.20101229gitd077716.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-02-21 16:51:01 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 652598, 823101, 841766    

Description Peter Lemenkov 2011-01-22 08:52:36 EST
Spec URL: http://peter.fedorapeople.org/erlang-cluster_info.spec
SRPM URL: http://peter.fedorapeople.org/erlang-cluster_info-0.1.0-1.fc12.src.rpm
Description: Cluster info/postmortem inspector for Erlang applications

This is one of the requirements for Riak 0.14.0
Comment 1 Peter Lemenkov 2011-01-22 12:05:33 EST
Dropped dependency on gmt_utils:

http://peter.fedorapeople.org/erlang-cluster_info.spec
http://peter.fedorapeople.org/erlang-cluster_info-0.1.0-2.fc12.src.rpm

So I'm lifting NotReady now - the package is ready for the review.
Comment 2 Thomas Spura 2011-01-28 09:03:06 EST
Hmm, I don't know how you come up with the version tag...

Is there a git tag, I don't see on github?

If this is a simply git checkout, see:
https://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages
Comment 3 Peter Lemenkov 2011-01-28 09:09:25 EST
(In reply to comment #2)
> Hmm, I don't know how you come up with the version tag...
> 
> Is there a git tag, I don't see on github?
> 
> If this is a simply git checkout, see:
> https://fedoraproject.org/wiki/Packaging/NamingGuidelines#SnapshotPackages

Yes, this was my fault. Updated package with proper versioning:

http://peter.fedorapeople.org/erlang-cluster_info.spec
http://peter.fedorapeople.org/erlang-cluster_info-0.1.0-0.1.20101229gitd077716.fc12.src.rpm
Comment 4 Thomas Spura 2011-01-29 17:15:24 EST
I have no glue about erlang, but want to review this package. So there might be some dump questions ;-)

Are there any guidelines related to erlang like [1] for python?
How to verify, the BuildRequires/Requires?
e.g. I greped for 'erts' and couldn't find a match...

Current SHOULD from my side:
* Use as url: https://download.github.com/hibari-cluster-info-d077716.tar.gz
  That works with wget and spectool

Rest looks ok, except my inknowledge about the BR/R.
If you could enlight me, about that, I'll approve this unless someone else stepps in...


[1] https://fedoraproject.org/wiki/Packaging:Python
Comment 5 Peter Lemenkov 2011-01-30 09:38:27 EST
(In reply to comment #4)

> Are there any guidelines related to erlang like [1] for python?

None, unfortunately. I wrote some ideas which could be included into future erlang guidelines, but we (Erlang SIG members) still have very limited feedback from users and packagers. So we still at "gathering necessary information and finding best practices" stage.

> How to verify, the BuildRequires/Requires?

Well, this task still handled mostly manually - I've got bunch of loosely connected scripts which do the job. *Almost* all of these scripts are now packaged as "erlang-rpm-macros", but they still not ready for production usage.

The idea is quite simple - each erlang bytecode module (*.beam file) has list of imported and exported functions in the format "module:function/arity". So I'm extracting this list from each binary file and trying to resolve dependencies between them. 

Curently, I'm trying to implement fully automatic way to create dependencies list, but I'm afraid it won't go into F-15 (I plan to introduce it in F-16).

> Current SHOULD from my side:
> * Use as url: https://download.github.com/hibari-cluster-info-d077716.tar.gz
>   That works with wget and spectool

Done.

http://peter.fedorapeople.org/erlang-cluster_info.spec
http://peter.fedorapeople.org/erlang-cluster_info-0.1.0-0.2.20101229gitd077716.fc12.src.rpm
Comment 6 Tim Niemueller 2011-02-19 07:14:23 EST
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is not silent, some messages can be ignored:
  - erlang-cluster_info.spec: W: invalid-url Source0: https://download.github.com/hibari-cluster-info-d077716.tar.gz HTTP Error 404: Not Found
  - erlang-cluster_info.src: W: invalid-url Source0: https://download.github.com/hibari-cluster-info-d077716.tar.gz HTTP Error 404: Not Found
  Please verify and correct the download URLs, but this maybe related to the Github problems I was seeing in the other review earlier.

- erlang-cluster_info.x86_64: E: explicit-lib-dependency erlang-stdlib
  That is fine.

- erlang-cluster_info.x86_64: E: no-binary
  Well, there just is none.

- erlang-cluster_info.x86_64: W: only-non-binary-in-usr-lib
  There actually is binary data in the beam files.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
+ The License field in the package spec file matches the actual license (ASL
2.0).
+ The file, containing the text of the license(s) for the package, is included
in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.

# sha256sum ../SOURCES/hibari-cluster-info-d077716.tar.gz 
519358519387c8bd37928ead542940ff9af22e9135f85dee96dd19f6d7635ada  ../SOURCES/hibari-cluster-info-d077716.tar.gz

The mentioned download URL seems to not exist, I could not find a hint on hibari's github page either. The tag tarball download is disfunctional atm (Github seems to have a problem).

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).

+ The package consistently uses macros.
  You use $RPM_BUILD_ROOT as a variable, but macros for everything else.
  Consider changing this, but since this is what rpmdev-newspec creates by
  default I consider this to be acceptable.

+ The package contains code, or permissible content.
+ No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 No header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

Looks good, but the source URL issue must be fixed before approving. You can also just name the tarball and provide git instructions on how to create the tarball, or wget the github URL as you did for erlang-js. Take the macro consistency into consideration, but the current state is acceptable to me if you want to keep it as it is.
Comment 7 Peter Lemenkov 2011-02-20 07:19:22 EST
(In reply to comment #6)

> Looks good, but the source URL issue must be fixed before approving. You can
> also just name the tarball and provide git instructions on how to create the
> tarball, or wget the github URL as you did for erlang-js.

Done (added notes on how to get the tarball):

http://peter.fedorapeople.org/erlang-cluster_info.spec
http://peter.fedorapeople.org/erlang-cluster_info-0.1.0-0.3.20101229gitd077716.fc15.src.rpm

Seems that GitHub's hosting service became quite unstable recently.
Comment 8 Tim Niemueller 2011-02-20 08:52:38 EST
Looks good now.

APPROVED.
Comment 9 Peter Lemenkov 2011-02-20 19:11:09 EST
Thanks!

New Package SCM Request
=======================
Package Name: erlang-cluster_info
Short Description: Cluster info/postmortem inspector for Erlang applications
Owners: peter
Branches: f14 f15 el6
InitialCC:
Comment 10 Jason Tibbitts 2011-02-21 15:29:57 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2011-02-21 16:49:57 EST
erlang-cluster_info-0.1.0-0.3.20101229gitd077716.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-cluster_info-0.1.0-0.3.20101229gitd077716.fc14
Comment 12 Fedora Update System 2011-02-21 16:50:04 EST
erlang-cluster_info-0.1.0-0.3.20101229gitd077716.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/erlang-cluster_info-0.1.0-0.3.20101229gitd077716.fc15
Comment 13 Fedora Update System 2011-02-21 16:50:11 EST
erlang-cluster_info-0.1.0-0.3.20101229gitd077716.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/erlang-cluster_info-0.1.0-0.3.20101229gitd077716.el6
Comment 14 Fedora Update System 2011-03-02 22:20:17 EST
erlang-cluster_info-0.1.0-0.3.20101229gitd077716.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2011-03-03 03:40:44 EST
erlang-cluster_info-0.1.0-0.3.20101229gitd077716.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2011-03-09 13:26:48 EST
erlang-cluster_info-0.1.0-0.3.20101229gitd077716.el6 has been pushed to the Fedora EPEL 6 stable repository.